Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
GETHardware SDN Controller OperationsSince 5.4.0SynchronousAuth Required

QueryHuaweiIMasterFabric

QueryHuaweiIMasterFabric

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    Seeinventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • sdnControllerUuidStringRequired

      The SDN controller UUID.

    • deletedBooleanRequired

      The deletion flag.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The brief description of the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/sdn-controller/huawei-imaster/fabrics

/zstack/v1/sdn-controller/huawei-imaster/fabrics

Operation ID

QueryHuaweiIMasterFabric

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sdn-controller/huawei-imaster/fabrics' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "74c62e19bc8f3792979d2d70b7af53a4", "name": "fabric", "description": "fabric for test" } ] }

Change History

This API has no change history records yet.

View all change history